VMTKMESHCOMPARE(1)

NAME
vmtkmeshcompare - vmtk script vmtkmeshcompare

DESCRIPTION
Automatic piping vmtkmeshcompare Parsing options vmtkmeshcompare

vmtkmeshcompare : compares a mesh against a reference

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile MeshInputFileName (str,1): filename for the default Mesh

    reader

-r ReferenceMesh (vtkUnstructuredGrid,1): the reference mesh to

    compare against

-rfile ReferenceMeshInputFileName (str,1): filename for the default

    ReferenceMesh reader

-method Method (str,1) in ['quality', 'pointarray', 'cellarray']:

    method of the test

-array ArrayName (str,1): name of the array

-tolerance Tolerance (float,1); default=1e-08: tolerance for

    numerical comparisons

-ofile ResultDataOutputFileName (str,1): filename for the default

    ResultData writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-result Result (bool,1): Output boolean stating if meshes are equal

    or not

-o ResultData (vtkUnstructuredGrid,1): the output mesh

-log ResultLog (str,1): Result Log